Package org.eclipse.rdf4j.http.server.repository.handler

## Class DefaultRepositoryRequestHandler

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.handler.DefaultRepositoryRequestHandler

- All Implemented Interfaces:
    `RepositoryRequestHandler`

      public class DefaultRepositoryRequestHandler
      extends Object
      implements RepositoryRequestHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultRepositoryRequestHandler​(RepositoryResolver repositoryResolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.web.servlet.ModelAndView` | `handleCreateOrUpdateRepositoryRequest​(javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `handleDeleteRepositoryRequest​(javax.servlet.http.HttpServletRequest request)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRepositoryRequestHandler

          public DefaultRepositoryRequestHandler​(RepositoryResolver repositoryResolver)

  - ### Method Detail

    - #### handleDeleteRepositoryRequest

          public org.springframework.web.servlet.ModelAndView handleDeleteRepositoryRequest​(javax.servlet.http.HttpServletRequest request)
                                                                                     throws HTTPException

      Specified by:
        `handleDeleteRepositoryRequest` in interface `RepositoryRequestHandler`
      Throws:
        `HTTPException`

    - #### handleCreateOrUpdateRepositoryRequest

          public org.springframework.web.servlet.ModelAndView handleCreateOrUpdateRepositoryRequest​(javax.servlet.http.HttpServletRequest request)
                                                                                             throws IOException,
                                                                                                    HTTPException

      Specified by:
        `handleCreateOrUpdateRepositoryRequest` in interface `RepositoryRequestHandler`
      Throws:
        `IOException`
        `HTTPException`